Bug 115111 - DOCX: Application color is only working outside page margins
Summary: DOCX: Application color is only working outside page margins
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Page
  Show dependency treegraph
 
Reported: 2018-01-19 15:21 UTC by J22Gim
Modified: 2019-07-13 02:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test DOCX file (432.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-01-19 15:22 UTC, J22Gim
Details
just checking the colors are OK when printing to PDF (293.31 KB, application/pdf)
2018-01-19 15:23 UTC, J22Gim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description J22Gim 2018-01-19 15:21:05 UTC
Description:
Application colors don't seem to work as expected in DOCX files.

Steps to Reproduce:
1. In "Application colors" (Tools->Options->LibreOffice->Application Colors), choose a color (eg grey, but can be anything but white) for the document background.
2. Open the DOCX file (try with the test DOCX file I uploaded)

Actual Results:  
In my screen I see the text background area as white (ie not the color chosen as document background in Application Colors)

Expected Results:
I would expect to see the background of the document in grey color (or whatever color you chose as Document Background) instead of white.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
It works well with ODT files (and maybe other formats).
I attach two files: the DOCX test and the PDF to check that it prints with correct colors.

Version: 5.4.4.2
Build ID: 1:5.4.4~rc2-0ubuntu0.14.04.1~lo1.1
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 J22Gim 2018-01-19 15:22:33 UTC
Created attachment 139217 [details]
test DOCX file
Comment 2 J22Gim 2018-01-19 15:23:09 UTC
Created attachment 139218 [details]
just checking the colors are OK when printing to PDF
Comment 3 Dieter 2018-01-20 07:03:45 UTC
Tried to reproduce.

Result: Background outside margins shows application colour; Background within margins is still white.

J22Gim, do you get the same result?

Version: 5.4.4.2 (x64)
Build-ID: 2524958677847fb3bb44820e40380acbe820f960
CPU-Threads: 4; BS: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 4 J22Gim 2018-01-22 12:01:20 UTC
Yes, exactly like you describe. You can see it in the attached PDF (*)

(*) https://bugs.documentfoundation.org/attachment.cgi?id=139218
Comment 5 Dieter 2018-01-23 20:41:48 UTC
Set to NEW, because of comment 3 and 4.
Comment 6 J22Gim 2018-02-28 00:38:52 UTC
Confirmed also with
Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 J22Gim 2018-07-12 02:50:11 UTC
any news about this?
Comment 8 QA Administrators 2019-07-13 02:47:49 UTC
Dear J22Gim,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug